Styles saved as QML if filename don't have .sld suffix
Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14894

Description

Saving style to SLD only possible if I manually add suffix .sld to filename in save dialog. When file type selected from combobox and

filename specified without extension QGIS always saved style as QML, even if SLD is selected using combobox

Tested under Slackware Linux 13.37, QGIS 1.9.90 c285502

Associated revisions

Revision 88187f1e - 2012-06-19 01:36 PM - Giuseppe Sucameli

display a menu to choose the output format saving vector styles (fix #5136)

History

#1 - 2012-03-08 05:00 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

#2 - 2012-05-21 04:51 PM - Giuseppe Sucameli

This problem is due to a QT issue... 

A solution may be to use a non-native QFileDialog but it should be avoided.

A workaround could be adding a popup menu with two items (Save as QML, Export to SLD) to the "Save Style" button.

#3 - 2012-06-19 04:37 AM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"88187f1e4c666564b4a46db83dc67d1eb4b1832b".
